| Home | Libraries | People | FAQ | More

###### params_encoded_ref::replace (2 of 3 overloads)

Replace params.

###### Synopsis

    iterator
    replace(
        iterator from,
        iterator to,
        std::initializer_list< param_pct_view > init);

###### Description

This function replaces a range of params with the params in an initializer-list.

All iterators that are equal to `from` or come after are invalidated.

###### Remarks

The strings referenced by the inputs must not come from the underlying url, or else the behavior is undefined.

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw. Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `init` contains an invalid percent-encoding.

###### Return Value

An iterator to the first element inserted, or one past `to` if `init.size() == 0`.

###### Parameters

Name | Description
--- | ---
`from`, `to` | The range of params to replace.
`init` | The list of params to assign.